<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:body>
        <ui:composition template="layout_e.xhtml">
            <ui:define name="titulo">MusicApp | Diario</ui:define>
            <ui:define name="encabezado">Diario De Práctica</ui:define>
            <ui:define name="subencabezado">Ingresa registros</ui:define>
            <ui:define name="contenido">
                <form action="" method="post">
                    <div class="row">
                        <div>
                            <div class="box box-widget">
                                <div class="box-header with-border">
                                    <h4>Lunes <small>31/10/2016</small></h4>
                                    <div class="box-tools">
                                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="box-body" style="display: block;">
                                    <div>
                                        <span>
                                            <div class="col-md-2">
                                                <label for="duracion">Duración</label>
                                                <select class="form-control" id="dificultad">
                                                    <option value="5">5 minutos</option>
                                                    <option value="10">10 minutos</option>
                                                    <option value="15">15 minutos</option>
                                                </select>
                                            </div>
                                        </span>
                                        <span>
                                            <div class="col-md-3">
                                                <label for="fragmentos">Fragmentos</label>
                                                <select class="form-control" id="fragL">
                                                    <option value= "0" >Seleccionar Fragmento</option>
                                                    <option value= "1" >Agregar Fragmento</option>
                                                </select>
                                            </div>                                             
                                        </span>
                                        <span>
                                            <div class="col-md-1">
                                                <label for="bpm">BPM</label>
                                                <input class="form-control" id="bpm" type="text" maxlength="3">                                                
                                                </input>
                                            </div>
                                        </span>
                                        <span>
                                            <div class="col-md-3">
                                                <label for="comentarios" class="control-label">
                                                    Comentarios
                                                </label>
                                                <input type="text" id="comentarios" 
                                                          name="comentarios" class="form-control">
                                                </input>
                                            </div>
                                        </span>
                                        <span>
                                            <div class="col-md-2">
                                                <label for="registro" class="control-label">
                                                    Crear registro
                                                </label>
                                                <input class="btn btn-success " type="submit" value="Guardar  "></input>
                                            </div>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div><!-- /.row -->
                    </div>
                </form>

                <div class="modal fade" tabindex="-1" role="dialog" id="agregarFragmento">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header text-center">
                                <button type="button" class="close" 
                                        data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <h4 class="modal-title">Agrega un nuevo fragmento</h4>
                            </div>
                            <form action="" method="post">
                                <div class="modal-body">

                                    <select name="tipo_fragmento" id="tipo_fragmento" 
                                            class="form-control" data-validation="required" onchange="tipo_frag(this)">
                                        <option value="0">Selecciona el tipo de fragmento</option>
                                        <option value="1">Repertorio</option>
                                        <option value="2">Ejercicio</option>
                                        <option value="3">Otro</option>
                                    </select>
                                    <div class="form-group" id="nombreObra"> 
                                        <label for="nombreObra" class="control-label">
                                            Obra
                                        </label>
                                        <input type="text" id="nombreObra" name="Obra" class="form-control" 
                                               placeholder="Ingresa el nombre de la obra a practicar"/>
                                    </div>
                                    <div class="form-group" id="tecnica"> 
                                        <label for="tecnica" class="control-label">
                                            Técnica
                                        </label>
                                        <input type="text" id="tecnica" name="Obra" class="form-control" 
                                               placeholder="Ingresa la técnica a practicar en el ejercicio (Opcional)"/>
                                    </div>
                                    <div class="form-group" id="descripcionFragmento"> 
                                        <label for="descripcion" class="control-label">
                                            Descripción
                                        </label>
                                        <textarea rows="2" id="valor" name="descripcion" class="form-control" 
                                                  placeholder="Incluye información que describa el fragmento. &#10;Ejemplo: 'Himno de la alegría/coro' o 'Ejercicio 1 Legato/corcheas'" />
                                    </div>
                                    <div class="form-group" id="nombreFragmento"> 
                                        <label for="nombreFragmento" class="control-label">
                                            Nombre
                                        </label>
                                        <input type="text" id="nombreFragmento" name="valor" class="form-control" 
                                               placeholder="Asigna un nombre al fragmento"/>
                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                                    <button type="button" class="btn btn-success" onclick="ocultarModal()">Confirmar</button>
                                </div>                               
                            </form>
                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->
            </ui:define>
            <ui:define name="js">
                <script>
                    $().ready(function () {
                        $('#nombreObra').hide();
                        $('#tecnica').hide();
                    });

                    $('#fragL').change(function () {
                        if ($('#fragL').val() == "1") {
                            $('#agregarFragmento').modal('show');
                        }
                    });

                    function tipo_frag(tipo) {
                        var tipo = tipo.value;
                        switch (tipo) {
                            case "0":
                                $('#tecnica').hide(300);
                                $('#nombreObra').hide(300);
                                break;
                            case "1":
                                $('#nombreObra').show(300);
                                $('#tecnica').hide(300);
                                break;
                            case "2":
                                $('#tecnica').show(300);
                                $('#nombreObra').hide(300);
                                break;
                            case "3":
                                $('#tecnica').hide(300);
                                $('#nombreObra').hide(300);
                                break;
                        }
                    }

                    function ocultarModal() {
                        $('#agregarFragmento').modal('hide');
                        console.log('Se ocultó');
                    }
                </script>
            </ui:define>
        </ui:composition>    
    </h:body> 
</html>